Knowledge Sources - List Files
列出檔案知識來源中的所有檔案。
GET {endpoint}/knowledgesources('{sourceName}')/files?api-version=2026-10-01
GET {endpoint}/knowledgesources('{sourceName}')/files?api-version=2026-10-01&prefix={prefix}&search={search}&pageSize={pageSize}&searchType=prefix
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜尋服務的端點 URL。 |
|
source
|
path | True |
string |
知識來源的名稱。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
|
page
|
query |
integer (int32) minimum: 1maximum: 3000 |
單頁最多可歸還的項目數量。 伺服器會強制執行最大值;若省略,伺服器會決定適當的預設值。 |
|
|
prefix
|
query |
string |
可選的前綴可依目錄類路徑過濾檔案。 |
|
|
search
|
query |
string |
用字串縮小列表範圍,減少需要翻頁的結果。 若省略或空串,則不進行窄化。 |
|
|
search
|
query |
指定搜尋參數的解讀方式。 目前僅支援「前綴」。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
要求不透明、全域唯一、用戶端產生的字串標識碼。 |
|
| Accept |
Accept 標頭。 |
回覆
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
要求已成功。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
api-key
類型:
apiKey
位於:
header
OAuth2Auth
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
範圍
| 名稱 | Description |
|---|---|
| https://search.azure.com/.default |
範例
SearchServiceListKnowledgeSourceFiles
範例要求
GET https://typespecstableexampleservice.search.windows.net/knowledgesources('ks-stable-test')/files?api-version=2026-10-01&prefix=&search=&pageSize=&searchType=prefix
範例回覆
{
"value": [
{
"fileId": "00000000-0000-0000-0000-000000000001",
"fileName": "notes/build26/kr-features.md",
"fileSizeBytes": 1184,
"createdAt": "2026-08-03T17:04:22Z",
"lastUpdatedAt": "2026-08-03T17:04:22Z",
"prefix": "notes/build26/",
"parsingMode": "markdown",
"extractionMode": "minimal",
"metadata": {
"team": "kr",
"source": "build26-notes"
}
}
]
}
定義
| 名稱 | Description |
|---|---|
| Accept |
Accept 標頭。 |
|
Blob |
代表從 Azure Blob 資料來源編製索引的剖析模式。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。 |
|
File |
擷取作業是針對單一檔案進行的。 「最小」(預設)使用內建擷取功能;「標準」則使用內容理解(Content Understanding)。 |
|
Knowledge |
上傳到檔案知識來源的檔案元資料。 |
|
Listing |
指定在縮小列表結果集時如何解釋搜尋參數。 目前僅支援「前綴」。 |
|
List |
回覆清單檔案請求。 |
Accept
Accept 標頭。
| 值 | Description |
|---|---|
| application/json;odata.metadata=minimal |
BlobIndexerParsingMode
代表從 Azure Blob 資料來源編製索引的剖析模式。
| 值 | Description |
|---|---|
| default |
針對一般檔案處理,設定為預設值。 |
| text |
設定為文字,以改善 Blob 記憶體中純文字檔案的索引編製效能。 |
| delimitedText |
當 Blob 是純 CSV 檔案時,設定為 delimitedText。 |
| json |
設定為 json,以從 JSON 檔案擷取結構化內容。 |
| jsonArray |
設定為 jsonArray 以將 JSON 陣列的個別專案擷取為個別檔。 |
| jsonLines |
設定為 jsonLines 以擷取個別 JSON 實體,並以新行分隔為個別檔。 |
| markdown |
設定為 markdown 以從 markdown 檔案擷取內容。 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
其他資訊。 |
|
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤的其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
所有 Azure Resource Manager API 的常見錯誤回應,用於回傳失敗操作的錯誤細節。 (這也遵循 OData 錯誤回應格式。)。
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
FileKnowledgeSourceExtractionMode
擷取作業是針對單一檔案進行的。 「最小」(預設)使用內建擷取功能;「標準」則使用內容理解(Content Understanding)。
| 值 | Description |
|---|---|
| minimal |
內建擷取功能。 |
| standard |
進行了內容理解擷取。 |
KnowledgeSourceFile
上傳到檔案知識來源的檔案元資料。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
檔案建立的時間戳。 |
| errorMessage |
string |
如果檔案處理失敗,則顯示錯誤訊息,否則為 null。 |
| extractionMode |
解壓模式套用到檔案上。 |
|
| fileId |
string |
檔案的唯一識別碼。 |
| fileName |
string |
原始檔案名稱。 |
| fileSizeBytes |
integer (int64) |
以位元組為單位的檔案大小。 |
| lastUpdatedAt |
string (date-time) |
檔案最後更新的時間戳。 |
| metadata |
object |
隨檔案儲存的自訂鍵值元資料。 已退回,但無法搜尋或篩選。 |
| parsingMode |
解析模式套用在檔案上(自動從檔案偵測)。 |
|
| prefix |
string |
前綴(類目錄路徑)源自完整檔案名稱。 |
ListingSearchType
指定在縮小列表結果集時如何解釋搜尋參數。 目前僅支援「前綴」。
| 值 | Description |
|---|---|
| prefix |
匹配名稱以搜尋參數值開頭的項目。 |
ListKnowledgeSourceFilesResult
回覆清單檔案請求。
| 名稱 | 類型 | Description |
|---|---|---|
| @odata.nextLink |
string |
可以用來取得下一組結果的網址。 |
| value |
檔案清單。 |